function AISMN_Reaction_AttackAttacker::OnEnter(%this, %data)
{
	GetThisObject(%data).playVocal("SBA");
   %attacker = %data.GetAttackerOf();
   if (%attacker && IsAttackable(%attacker) )
   {
      %data.performAction("attack", %attacker);
   }
}

function AISMN_Reaction_AttackAttacker::OnExit(%this,%obj)
{
   return;
}

//EXIT 0: No longer shooting
function AISMN_Reaction_AttackAttacker::Update(%this, %data)
{
   if (%data.isAttacking() == false)
   {
      ReturnValue(%data, 0);
   }
   else
   {
      ReturnValue(%data, -1);
   }
}
